#!/bin/sh

TAXSOLVEDIR=`dirname $0`
if  [ -z $1 ]   ||  [ ! -x ${TAXSOLVEDIR}/bin/$1 ]  ; then
    echo ""
    echo "Must pick a solver program as the argument to this program, e.g.:"
    echo $0  "    taxsolve_US_1040_2007            <optional_inputfile.dat>"
    echo $0  "    taxsolve_US_1040_Sched_C_2007    <optional_inputfile.dat>"
    echo $0  "    taxsolve_CA_540_2007             <optional_inputfile.dat>"
    echo $0  "    taxsolve_MA_1_2007               <optional_inputfile.dat>"
    echo $0  "    taxsolve_NJ_1040_2007            <optional_inputfile.dat>"
    echo $0  "    taxsolve_PA_40_2007              <optional_inputfile.dat>"
    echo $0  "    taxsolve_NC_D400_2007            <optional_inputfile.dat>"
    echo $0  "    taxsolve_VA_760_2007             <optional_inputfile.dat>"
    echo $0  "    taxsolve_OH_IT1040_2007          <optional_inputfile.dat>"
    echo $0  "    taxsolve_NY_IT201_2007           <optional_inputfile.dat>"
    echo ""
    exit
else
    export taxsolvecmd=${TAXSOLVEDIR}/bin/$1
fi

${TAXSOLVEDIR}/bin/ots_gui  $2

